omapdss: VDDA_DAC regulator on IGEPv2

Bug #607250 reported by Steve Langasek on 2010-07-19
34
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Linaro Linux
Fix Released
Undecided
Nicolas Pitre
Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
linux-linaro (Ubuntu)
Undecided
John Rigby
Maverick
Undecided
Unassigned

Bug Description

Booting maverick alpha-2 on an IGEPv2 OMAP board (beagle clone) gives the following messages at boot time:

[ 0.735382] omapdss VENC error: can't get VDDA_DAC regulator
[ 0.741363] omapdss CORE error: Failed to initialize venc

Amit suggests this is a missing patch that needs to be incorporated.

Steve Langasek (vorlon) wrote :

Mathieu, Bryan, Lee: can one of you look at this?

Jeremy Foshee (jeremyfoshee) wrote :

Hi Steve,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 607250

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

On Wed, Jul 21, 2010 at 02:40:50PM -0000, Jeremy Foshee wrote:
> Hi Steve,
>
> Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.
>
> apport-collect -p linux 607250
>
> Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.
>
> Thanks in advance.
>
> [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

Yes, it has reached me inappropriately. :) You're not getting
apport-collect run from this system...

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

I get these errors with IGEPv2 Rev C using both maverick beta and the daily preinstalled image from 20.09.10.

tags: added: arm
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
assignee: nobody → Ricardo Salveti (rsalveti)
Ricardo Salveti (rsalveti) wrote :

Fixes at:
http://kernel.ubuntu.com/git?p=rsalveti/ubuntu-maverick.git;a=shortlog;h=refs/heads/fix-igepv2-display

Kernel deb to be tested:
http://people.canonical.com/~rsalveti/kernel/linux-image-2.6.35.4+_2.6.35.4+-43_armel.deb

After fixing this issue (by http://kernel.ubuntu.com/git?p=rsalveti/ubuntu-maverick.git;a=commit;h=903ae55218669baf230c765be52aeb5dbd218bf0) the kernel will give the following error messages:
[ 0.254211] omapdss SDI error: can't get VDDS_SDI regulator
[ 0.254211] omapdss CORE error: Failed to initialize SDI

This is fixed with http://kernel.ubuntu.com/git?p=rsalveti/ubuntu-maverick.git;a=commit;h=569beb73e9d5cca4d567388dd297eb7fbbc3df42

Once tested I'll submit to the kernel team.

tags: removed: needs-kernel-logs

Using that kernel, I'm able to boot and load X.

Ubuntu is still not usable on IGEPv2 though. We still need wired and wireless networking going. But graphics is without a doubt solved. There are probably many other issues to resolve. We need more testers!

Loïc Minier (lool) wrote :

Wired ethernet should be solved in latest linux-linaro kernel and wifi is a matter of installing libertas-firmware from multiverse

tags: added: igep
Loïc Minier (lool) on 2010-09-23
Changed in linux-linaro:
assignee: nobody → Nicolas Pitre (npitre)
Changed in linux-linaro (Ubuntu):
assignee: nobody → John Rigby (jcrigby)
status: New → Confirmed
Changed in linux-linaro:
status: New → Confirmed
Ricardo Salveti (rsalveti) wrote :

SRU Justification for linux (Ubuntu):

Impact: When booting current omap 3 kernel at an IGEPv2 board the omapdss
subsystem will look for two different regulators, one is "vdda_dac" and the
other is "vdds_sdi". When a regulator is not found the initialisation sequence
is aborted, resulting in omapfb not finding a display to work with.

Fix: The problem is fixed by adding both regulators at the machine description
file, simlilar to what we have for omap3evm, beagleboard and pandaboard. The
first patch was submited upstream already, but it's still not applied. The
second patch follows the same fix created for omap3evm (c97113) for bug 630885
and needs to be tested with upstream before sending it.

Testcase: When booting an IGEPv2 without both patches the screen will fail to
initialize, giving the following errors:
[ 0.735382] omapdss VENC error: can't get VDDA_DAC regulator
[ 0.741363] omapdss CORE error: Failed to initialize venc
...
[ 1.473388] omapfb omapfb: no displays
[ 1.477203] omapfb omapfb: failed to setup omapfb
[ 1.481994] omapfb: probe of omapfb failed with error -22

As neither patch is applied upstream, we can consider as ubuntu sauce.

Torez Smith (lnxtorez) wrote :

I've pulled down the linaro kernel ( 2.6.35-1006.12 in particular) and patched with patches from http://kernel.ubuntu.com/git?p=rsalveti/ubuntu-maverick.git;a=shortlog;h=refs/heads/fix-igepv2-display

In particular....
commit 569beb73e9d5cca4d567388dd297eb7fbbc3df42 and
commit 903ae55218669baf230c765be52aeb5dbd218bf0

and with that new kernel I'm able to have access to the LCD on the IGEPv2 board.

Since linaro uses the same omap kernel for igep and beagle boards, verified this newly built kernel also works on beagle. Verification took place on a Beagle XM board, A2

Nicolas Pitre (npitre) wrote :

On Wed, 6 Oct 2010, Torez Smith wrote:
> In particular....
> commit 569beb73e9d5cca4d567388dd297eb7fbbc3df42 and
> commit 903ae55218669baf230c765be52aeb5dbd218bf0
>
> and with that new kernel I'm able to have access to the LCD on the
> IGEPv2 board.

I cherry-picked those patches and added them to the linaro-2.6.35
repository.

Accepted linux-linaro into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux-linaro (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux-linaro (Ubuntu Maverick):
status: New → Fix Committed
tags: added: verification-needed
Changed in linux (Ubuntu Maverick):
assignee: nobody → Ricardo Salveti (rsalveti)
status: New → Fix Committed
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by Thursday, November 11, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Torez Smith (lnxtorez) wrote :

as of the Linaro 20101105-0 build, the changes for this fix do not appear to be present.

John Rigby (jcrigby) wrote :

linux-linaro-2.6.35 has two commits that point to this bug:
The Ubuntu Maverick kernel has the same commits with extra
signed-off-by's. So if it is still broken then I guess there is
still something else needed to fix this.

commit 74a42a26033ebfc1a6bbb9a6cd111d1bf44b988b
Author: Ricardo Salveti de Araujo <email address hidden>
Date: Mon Sep 20 23:17:45 2010 -0300

    ARM: OMAP3: Adding vdd_sdi regulator supply to IGEPv2 board

    When booting, the omapdss subsystem is looking for a regulator named
    "vdds_sdi". When the regulator is not found the initialisation sequence
    is aborted resulting in omapfb not finding a display to work with. This
    patch allows the omapfb sub system to complete its initialisation
    properly and enable DVI display. The problem was fixed by lumping a
    "vdds_sdi" with the already existing "vdds_dsi" regulator. This fix
    takes its root from work done on the Beagle board, Pandora board and
    OMAP3EVM.

    BugLink: https://bugs.launchpad.net/bugs/607250

    Signed-off-by: Ricardo Salveti de Araujo <email address hidden>

commit 6a30007b4846c99d218cacd006e20ce09c66e3fb
Author: Maurus Cuelenaere <email address hidden>
Date: Mon Sep 20 22:12:53 2010 -0300

    ARM: OMAP3: Add S-Video output to IGEPv2 board

    This adds S-Video DSS and VDAC regulator platform definitions to the IGEPv2
    board. There isn't a physical connector on-board but one can solder one at test
    points provided by ISEE.

    BugLink: https://bugs.launchpad.net/bugs/607250

    Signed-off-by: Maurus Cuelenaere <email address hidden>
    Signed-off-by: Ricardo Salveti de Araujo <email address hidden>

John Rigby (jcrigby) wrote :

Failed to mention that these commits entered the Linaro kernel package in version 1007.13

On Fri, Nov 05, 2010 at 09:13:06PM -0000, Torez Smith wrote:
> as of the Linaro 20101105-0 build, the changes for this fix do not
> appear to be present.

The hwpacks still include 2.6.35-1006.12 from maverick. This will require
testing by hand with the kernel from maverick-proposed.

(As discussed on IRC already - just setting the record straight for the bug)

Launchpad Janitor (janitor) wrote :
Download full text (4.9 KiB)

This bug was fixed in the package linux-linaro - 2.6.35-1008.15

---------------
linux-linaro (2.6.35-1008.15) maverick-proposed; urgency=low

  [ Robert Nelson ]

  * SRU: Fix DVI for Beagle xM rev A3
    - LP: #663642

linux-linaro (2.6.35-1008.14) maverick-proposed; urgency=low

  [ Andy Whitcroft ]

  * reduce disk usage during buildd builds
    - LP: #645653

  [ Enric Balletbo i Serra ]

  * ARM: igepv2: Adding support for VBUS and overcurrent
    - LP: #651589
  * ARM: igepv2: Fix and improve LED handling
    - LP: #654582
  * ARM: igepv2: Introduce function to dectect HW version
    - LP: #654586
  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
    - LP: #654590
  * ARM: igepv2: Add i2c eeprom driver to read EDID
    - LP: #654594
  * ARM: igepv2: Remove VMMC2 regulator
    - LP: #654595

  [ Maurus Cuelenaere ]

  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
    - LP: #607250

  [ Upstream Stable ]
  * Linux 2.6.35.7

  [ Upstream MMC updates ]

  * mmc: recognize CSD structure
  * mmc: split mmc_sd_init_card()
  * mmc: implement SD-combo (IO+mem) support
  * sdhci: remove useless set_clock() check
  * sdhci: 8-bit data transfer width support
  * sdhci: don't assign mmc->caps at SDHCI directly
  * mmc: only set blockaddressed for > 2GiB cards
  * mmc: omap: fix for bus width which improves SD card's peformance.
  * sdhci-pltfm: switch to module device table matching
  * sdhci-pltfm: reorganize Makefile entries to support SoC devices
  * sdhci-pltfm: add support for CNS3xxx SoC devices
  * omap hsmmc: fix processing of all dma interrupts as block completion
  * sdhci: add regulator support
  * sdhci: add no hi-speed bit quirk support
  * mmc: avoid getting CID on SDIO-only cards
  * omap_hsmmc: remove unused local `state'
  * omap hsmmc: fix a racing case between kmmcd and omap_hsmmc_suspend
  * drivers/mmc/host/imxmmc.c: adjust confusing if indentation
  * mmc: sdhci-pltfm: Add structure for host-specific data
  * mmc: sdhci-pltfm: move .h file into appropriate subdir
  * mmc: sdhci: introduce get_ro private write-protect hook
  * mmc: sdhci_pltfm: pass more data on custom init call
  * mmc: sdhci-of-esdhc: factor out common stuff
  * mmc: sdhci-pltfm: add -pltfm driver for imx35/51
  * mmc: quirk fix for timeout problem
  * babbage: esdhc device registration
  * babbage: update mx51_defconfig
    - LP: #656966

  [ Upstream ARM fixes ]

  * Make PTRACE_SINGLESTEP work with user helpers
  * ARM: fix section mismatch warnings in Versatile Express
  * ARM: use memblock to remove memory from available memory
  * video: omap: vram: remove from normal memory
    - LP: #627779

  [ John Rigby ]
  * LINARO: update configs
    - LP: #659799

linux-linaro (2.6.35-1007.13) maverick; urgency=low

  [ Upstream Ubuntu ]

  * Ubuntu-2.6.35-22.33
  * Ubuntu-2.6.35-22.34

  [ Upstream ARM Fixes ]

  * ARM: vexpress: set RAM latencies to 1 cycle for PL310 on ct-ca9x4 tile
  * ARM: vexpress: set RAM latencies to 1 cycle for PL310 on ct-ca9x4 tile
  * ARM: add a vma entry for the user accessible vector page
  * ARM: plug a race with the alignment trap handler
  * arm: fix really nasty sigreturn bug
  * ARM: prevent multiple syscall ...

Read more...

Changed in linux-linaro (Ubuntu Maverick):
status: Fix Committed → Fix Released
Torez Smith (lnxtorez) wrote :

The changes for this bug were added to the Maverick Proposed tree and seem to have not been pulled back into Linaro tree at this point.

I've tested and verified the Maverick proposed kernel from http://launchpadlibrarian.net/58060627/linux-image-2.6.35-1008-linaro-omap_2.6.35-1008.15_armel.deb does resolve and fix this bug.

Tests were made on IGEPv2 board and Beagle XM (to assure no regression).

Paul Larson (pwlars) wrote :

Thanks for testing the kernel from -proposed Torez, tagging verification-done based on your last comment.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (16.2 KiB)

This bug was fixed in the package linux - 2.6.35-23.40

---------------
linux (2.6.35-23.40) maverick-proposed; urgency=low

  [ Brad Figg ]

  * No change rebuild.

linux (2.6.35-23.39) maverick-proposed; urgency=low

  [ Brad Figg ]
    - LP: #676214

  [ Ricardo Salveti de Araujo ]

  * SAUCE: ARM: OMAP3: beagle: use GPIO2 on the xM A3 to turn DVI on
    - LP: #663642

linux (2.6.35-23.38) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Revert "SAUCE: ARM: OMAP3: beagle: use GPIO2 on the xM A3 to turn DVI
    on"

  [ Upstream Kernel Changes ]

  * Revert "(upstream) ALSA: hda - Apply ALC269 VAIO fix-up to all Sony
    laptops with ALC269"
  * Revert "ALSA: HDA: Correctly apply position_fix quirks for ATI and VIA
    controllers"
  * Buglink Fixup for reverted unverified fixes

linux (2.6.35-23.37) maverick-proposed; urgency=low

  [ Brad Figg ]

  * ARM: Temporarily disable module check for armel

linux (2.6.35-23.36) maverick-proposed; urgency=low

  [ Andy Whitcroft ]

  * reduce disk usage during buildd builds
    - LP: #645653

  [ Brad Figg ]

  * ARM: Temporarily disable module check for armel

  [ Enric Balletbo i Serra ]

  * ARM: igepv2: Adding support for VBUS and overcurrent
    - LP: #651589
  * ARM: igepv2: Fix and improve LED handling
    - LP: #654582
  * ARM: igepv2: Introduce function to dectect HW version
    - LP: #654586
  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
    - LP: #654590
  * ARM: igepv2: Add i2c eeprom driver to read EDID
    - LP: #654594
  * ARM: igepv2: Remove VMMC2 regulator
    - LP: #654595

  [ Leann Ogasawara ]

  * ARM: Temporarily disable module check for armel

  [ Mathieu Poirier ]

  * SAUCE: ARM: Add DSS2 support for Overo board
    - LP: #660811

  [ Maurus Cuelenaere ]

  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
    - LP: #607250

  [ Ricardo Salveti de Araujo ]

  * [Config] Remove CONFIG_FIXED_PHY and move CONFIG_SMSC911X from m to y
    for omap
    - LP: #645689
  * SAUCE: ARM: OMAP3: Adding vdd_sdi regulator supply to IGEPv2 board
    - LP: #607250
  * SAUCE: ARM: OMAP3: beagle: use GPIO2 on the xM A3 to turn DVI on
    - See: #663642

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) ALSA: HDA: Use model=auto for LG R510"
  * Revert "(pre-stable) ALSA: hda - Rename iMic to Int Mic on Lenovo
    NB0763"
  * Revert "Input: appletouch - fix integer overflow issue"
  * Revert "ALSA: hda - Handle pin NID 0x1a on ALC259/269"
  * Revert "ALSA: hda - Handle missing NID 0x1b on ALC259 codec"
  * Revert "(pre-stable) ALSA: hda - Add a new hp-laptop model for Conexant
    5066, tested on HP G60"
  * Revert "mmc: build fix: mmc_pm_notify is only available with
    CONFIG_PM=y"
  * Revert "mmc: fix all hangs related to mmc/sd card insert/removal during
    suspend/resume"
  * Revert "(pre-stable) bounce: call flush_dcache_page() after
    bounce_copy_vec()"
  * Revert "Input: i8042 - reset keyboard controller wehen resuming from
    S2R"
  * Revert "ALSA: HDA: Enable internal speaker on Dell M101z"
  * Revert "(pre-stable) drm/i915: don't enable self-refresh on Ironlake"
  * Revert "drm/i915: Allow LVDS on pipe A on gen4+"
  * (pre-stable) ACPI: enable repeated...

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Loïc Minier (lool) wrote :

Ricardo, what's the upstream status of these patches?

Changed in linux-linaro:
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
assignee: Ricardo Salveti (rsalveti) → nobody
Changed in linux (Ubuntu Maverick):
assignee: Ricardo Salveti (rsalveti) → nobody
John Rigby (jcrigby) on 2011-01-18
Changed in linux-linaro (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers